<template>
  <div class="fullscreen-bg1">
    <div style="width: 20%;margin-top: 10px;">
      <el-button class="title_linespan" type="text" @click="goToindex">官网</el-button>
      <el-button  class="title_linespan" style="color: #f5f7fa;text-decoration: underline;" type="text"
        @click="goToDistance">计算距离</el-button>
      <el-button  class="title_linespan" type="text" @click="goToDegree">度分转换</el-button>
      <el-button  class="title_linespan" type="text" @click="goToCoordinate">坐标计算</el-button>
      <el-button  class="title_linespan" type="text" @click="goToplane">坐标转换</el-button>

    </div>
    <div class="waibu-div">
      <div class="bg-red1">
        <el-radio class="title_linespan" v-model="radio" label="1" @input="onradio1"
          style="color: #f5f7fa;margin-top: 30px;">GNGGA格式数据</el-radio>
        <el-radio class="title_linespan" v-model="radio" label="2" @input="onradio2"
          style="color: #f5f7fa;margin-top: 30px; ">度格式数据</el-radio>
        <el-form :label-position="labelPosition" label-width="80px" :model="formLabelAlign">
          <el-input type="textarea" :rows="3" v-model="formLabelAlign.gnssa" placeholder="输入A点GNGGA数据"
            style="width: 90%; margin-top: 20px;" @change="gnggaChangeA" v-if="lock1"></el-input>
          <el-input type="textarea" :rows="3" v-model="formLabelAlign.gnssb" placeholder="输入B点GNGGA数据"
            style="width: 90%; margin-top: 20px;" @change="gnggaChangeB" v-if="lock1"></el-input>

          <el-input type="textarea" :rows="3" v-model="degreeLatLngA" placeholder="输入A点度格式数据(纬度;经度)"
            style="width: 90%; margin-top: 20px;" v-if="lock2" @change="gnggaChangeC"></el-input>
          <el-input type="textarea" :rows="3" v-model="degreeLatLngB" placeholder="输入B点度格式数据(纬度;经度)"
            style="width: 90%; margin-top: 20px;" v-if="lock2" @change="gnggaChangeD"></el-input>
          <el-form-item style="margin-top: 60px; margin-right: 20px; color: #f5f7fa;">
            <span slot="label">
              <span style="color: #f5f7fa">距离/cm</span>
            </span>
            <el-input v-model="formLabelAlign.distance"></el-input>
          </el-form-item>
          <p style="margin-top: 5%; color:  #f5f7fa;" v-if="dialogVisibleA">注意当前数据A点处于非高精度状态！</p>
          <p style=" color:  #f5f7fa;" v-if="dialogVisibleB">注意当前数据B点处于非高精度状态！</p>

          <p style=" color:  #f5f7fa;" v-if="dialogVisibleC">注意当前数据A点状态异常！</p>
          <p style="  color:  #f5f7fa;" v-if="dialogVisibleD">注意当前数据B点状态异常！</p>
          <el-button @click="onSubmit" type="success" style=" margin-right: 50px; margin-top: 30px;"
            class="fixed-button1">计算距离</el-button>
          <el-button @click="onClear" type="success" style=" margin-left: 80px; margin-top:30px"
            class="fixed-buttonB1">清空数据</el-button>
        </el-form>
      </div>
      <div class="table_div" v-if="lock1">
        <el-table class="custom-table" cell-class-name="cell-bg-color"  :data="tableData"
          style="width: 100%; color: #ffffff; line-height: 32px;" row-key="index"
          :header-cell-style="{ background: '#2167a0', color: '#ffffff' }" border :row-style="{ height: '50px' }">
          <el-table-column v-for="(item, index) in tableHeaders" :key="index" :label="item.title" :prop="item.field"
            :width="item.width">
            <template slot-scope="scope">
              <template>
                <span>{{ scope.row[index] }}</span>
              </template>
            </template>
          </el-table-column>
        </el-table>
      </div>

    </div>
    <div style="text-align: center;color: #f5f7fa;position: absolute;font-size: 12px;bottom:30px;left: 0;right: 0;">
      <a target="_blank" id="icp">北京华星北斗智控技术有限公司版权所有京ICP备15062414号-11</a>
    </div>
  </div>
</template>

<script>
import axios from 'axios';
const dfurl = 'http://39.106.210.13:8848/hxzkuwb/ddmm2d';
const duurl = 'http://39.106.210.13:8848/hxzkuwb/dd2ddmm';
// const url = 'http://127.0.0.1:8848/hxzkuwb/jisuanjingwei.do';
const url = 'http://39.106.210.13:8848/hxzkuwb/jisuanjingwei.do';
const url1 = 'http://39.106.210.13:8848/hxzkuwb/jisuanbaowen.do';
const duggaurl = 'http://39.106.210.13:8848/hxzkuwb/jisuandubaowen.do';

// const url = 'http://localhost:8848/Hxzkrd/compute/jisuanjingwei.do';
export default {
  data() {
    return {
      originTitle: ['UTC时间', '纬度', '纬度(度)', '经度', '经度(度)', '定位质量', '卫星数量', '高程', '椭球高', '差分时间', '设备编号'], // originTitle 该标题为 正常显示的标题, 数组中的顺序就是上面数据源对象中的字段标题对应的顺序
      /* 表头信息 */
      tableHeaders: [
        { title: '字段名称', field: 'a1', type: 'textarea' },
        { title: 'A点', field: 'a2', type: 'textarea' },
        { title: 'B点', field: 'a3', type: 'textarea' }
      ],
      /* 表格数据 */
      tableData: [{
        utcTimeA: '',
        weiduA: '',
        weidu2A: '',
        jingduA: '',
        jingdu2A: '',
        stateA: '',
        numA: '',
        gaoDanweiA: '',
        tuoqiuA: '',
        chafenTimeA: '',
        tagidA: ''
      },
      {
        utcTimeB: '',
        weiduB: '',
        weidu2B: '',
        jingduB: '',
        jingdu2B: '',
        stateB: '',
        numB: '',
        gaoDanweiB: '',
        tuoqiuB: '',
        chafenTimeB: '',
        tagidB: ''
      }],
      dataA: {
        utcTimeA: '',
        weiduA: '',
        weidu2A: '',
        jingduA: '',
        jingdu2A: '',
        stateA: '',
        numA: '',
        gaoDanweiA: '',
        tuoqiuA: '',
        chafenTimeA: '',
        tagidA: ''
      },
      dataB: {
        utcTimeB: '',
        weiduB: '',
        weidu2B: '',
        jingduB: '',
        jingdu2B: '',
        stateB: '',
        numB: '',
        gaoDanweiB: '',
        tuoqiuB: '',
        chafenTimeB: '',
        tagidB: ''
      },
      lock1: true,
      lock2: false,
      radio: '1',
      degreeLatLngA: '',
      degreeLatLngB: '',
      lnglatA1:'',
      lnglatA2:'',
      lnglatB1:'',
      lnglatB2:'',
      // lnglatA: [],
      // lnglatB: [],
      dialogVisibleA: false,
      dialogVisibleB: false,
      dialogVisibleC: false,
      dialogVisibleD: false,
      labelPosition: 'right',
      formLabelAlign: {
        gnssa: '',
        gnssb: '',
        distance: ''
      }
    };
  },
  computed: {
    formatLongitude() {
      return this.formatDegrees(this.longitude);
    },
    formatLatitude() {
      return this.formatDegrees(this.latitude);
    }
  },
  watch: {
  },
  mounted() {
    this.transChange() // 转化表格
  },
  methods: {

    // 转换表格
    transChange() {
      // 数组按矩阵思路, 变成转置矩阵
      const matrixData = this.tableData.map((row) => {
        const arr = []
        for (const key in row) {
          arr.push(row[key])
        }
        return arr
      })
      console.log(matrixData)
      // 加入标题拼接最终的数据
      this.tableData = matrixData[0].map((col, i) => {
        return [this.originTitle[i], ...matrixData.map((row) => {
          return row[i]
        })]
      })
    },
    // 默认显示当前年度


    onradio1() {
      this.lock1 = true
      this.lock2 = false
    },
    onradio2() {
      this.lock2 = true
      this.lock1 = false
    },
    gnggaChangeA() {
      var gnssa1 = this.formLabelAlign.gnssa.split(",")
      var weidu2A1 = ''
      var jingdu2A1 = ''
      var lnglat = []
      const params = { df: gnssa1[2] };
      axios.get(dfurl, { params })
        .then((response) => {
          console.log('成功获取到后端数据', response.data);
          weidu2A1 = response.data
        })
        .catch((error) => {
          console.error('获取后端数据失败', error);
          // 错误处理
        });
      const params1 = { df: gnssa1[4] };
      axios.get(dfurl, { params: params1 })
        .then((response) => {
          console.log('成功获取到后端数据', response.data);
          jingdu2A1 = response.data
        })
        .catch((error) => {
          console.error('获取后端数据失败', error);
          // 错误处理
        });
      // }
      setTimeout(() => {
        this.tableData[0] = []
        this.tableData[1] = []
        this.tableData[0].utcTimeA = gnssa1[1]
        this.tableData[0].weiduA = gnssa1[2]

        this.tableData[0].weidu2A = weidu2A1
        this.tableData[0].jingduA = gnssa1[4]

        this.tableData[0].jingdu2A = jingdu2A1
        console.log(gnssa1[6]);
        switch (gnssa1[6]) {
          case '0':
            this.tableData[0].stateA = '初始化'
            break;
          case '1':
            this.tableData[0].stateA = '单点定位'
            break;
          case '2':
            this.tableData[0].stateA = '码差分'
            break;
          case '3':
            this.tableData[0].stateA = '无效PPS'
            break;
          case '4':
            this.tableData[0].stateA = '固定解'
            break;
          case '5':
            this.tableData[0].stateA = '浮点解'
            break;
          case '6':
            this.tableData[0].stateA = '正在估算'
            break;
          case '7':
            this.tableData[0].stateA = '人工输入固定值'
            break;
          case '8':
            this.tableData[0].stateA = '模拟模式'
            break;
          case '9':
            this.tableData[0].stateA = 'WAAS差分'
            break;
          default:
            this.tableData[0].stateA = ''
            break;
        }
        this.tableData[0].numA = gnssa1[7]
        this.tableData[0].gaoDanweiA = gnssa1[9]
        this.tableData[0].tuoqiuA = gnssa1[11]
        this.tableData[0].chafenTimeA = gnssa1[13]
        this.tableData[0].tagidA = gnssa1[15]
        this.dataA = this.tableData[0]
        this.tableData[1] = this.dataB
        // 数组按矩阵思路, 变成转置矩阵
        const matrixData = this.tableData.map((row) => {
          const arr = []
          for (const key in row) {
            arr.push(row[key])
          }
          return arr
        })
        // 加入标题拼接最终的数据
        this.tableData = matrixData[0].map((col, i) => {
          return [this.originTitle[i], ...matrixData.map((row) => {
            return row[i]
          })]
        })
        if (gnssa1.length != 21) {
          this.dialogVisibleA = true
          // this.$message.error('A点GNGGA数据格式有误！请检查数据长度！');
        } else {
          this.dialogVisibleA = false
        }
        if (gnssa1[6] != 4) {
          this.dialogVisibleC = true
          // this.$message.error('A点GNGGA数据状态异常！');
        } else {
          this.dialogVisibleC = false
        }
        // this.$refs.boxs.style.cssText = "display: none;";
      }, 500);


    },
    gnggaChangeB() {
      var gnssb1 = this.formLabelAlign.gnssb.split(",")
      var weidu2B
      var jingdu2B
      var lnglat = []
      const params = { df: gnssb1[2] };
      axios.get(dfurl, { params })
        .then((response) => {
          console.log('成功获取到后端数据', response.data);
          weidu2B = response.data
        })
        .catch((error) => {
          console.error('获取后端数据失败', error);
          // 错误处理
        });

      const params1 = { df: gnssb1[4] };
      axios.get(dfurl, { params: params1 })
        .then((response) => {
          console.log('成功获取到后端数据', response.data);
          jingdu2B = response.data
        })
        .catch((error) => {
          console.error('获取后端数据失败', error);
          // 错误处理
        });
      // }
      setTimeout(() => {
        this.tableData[0] = []
        this.tableData[1] = []
        this.tableData[1].utcTimeB = gnssb1[1]
        this.tableData[1].weiduB = gnssb1[2]
        this.tableData[1].weidu2B = weidu2B
        this.tableData[1].jingduB = gnssb1[4]
        this.tableData[1].jingdu2B = jingdu2B
        switch (gnssb1[6]) {
          case '0':
            this.tableData[1].stateB = '初始化'
            break;
          case '1':
            this.tableData[1].stateB = '单点定位'
            break;
          case '2':
            this.tableData[1].stateB = '码差分'
            break;
          case '3':
            this.tableData[1].stateB = '无效PPS'
            break;
          case '4':
            this.tableData[1].stateB = '固定解'
            break;
          case '5':
            this.tableData[1].stateB = '浮点解'
            break;
          case '6':
            this.tableData[1].stateB = '正在估算'
            break;
          case '7':
            this.tableData[1].stateB = '人工输入固定值'
            break;
          case '8':
            this.tableData[1].stateB = '模拟模式'
            break;
          case '9':
            this.tableData[1].stateB = 'WAAS差分'
            break;
          default:
            break;
        }
        this.tableData[1].numB = gnssb1[7]
        this.tableData[1].gaoDanweiB = gnssb1[9]
        this.tableData[1].tuoqiuB = gnssb1[11]
        this.tableData[1].chafenTimeB = gnssb1[13]
        this.tableData[1].tagidB = gnssb1[15]
        this.dataB = this.tableData[1]
        this.tableData[0] = this.dataA
        // 数组按矩阵思路, 变成转置矩阵
        const matrixData = this.tableData.map((row) => {
          const arr = []
          for (const key in row) {
            arr.push(row[key])
          }
          return arr
        })
        console.log(matrixData)
        // 加入标题拼接最终的数据
        this.tableData = matrixData[0].map((col, i) => {
          return [this.originTitle[i], ...matrixData.map((row) => {
            return row[i]
          })]
        })
        if (gnssb1[6] != 4) {
          this.dialogVisibleD = true
          // this.$message.error('A点GNGGA数据状态异常！');
        } else {
          this.dialogVisibleD = false
        }
        if (gnssb1.length != 21) {
          this.dialogVisibleB = true
          // this.$message.error('B点GNGGA数据格式有误！请检查数据长度！');
        } else {
          this.dialogVisibleB = false
        }
      }, 500);
    },
    gnggaChangeC() {
      this.dialogVisibleC = false
      this.dialogVisibleD = false
      if (this.degreeLatLngA.split(";").length != 2) {
        this.dialogVisibleA = true
      } else {
        this.dialogVisibleA = false
        // for (let index = 0; index < this.degreeLatLngA.split(";").length; index++) {
          const params = { du: this.degreeLatLngA.split(";")[0] };
          axios.get(duurl, { params })
            .then((response) => {
              console.log('成功获取到后端数据', response.data);
              this.lnglatA1=response.data
            })
            .catch((error) => {
              console.error('获取后端数据失败', error);
              // 错误处理
            });
            const params1 = { du: this.degreeLatLngA.split(";")[1] };
          axios.get(duurl, { params:params1 })
            .then((response) => {
              console.log('成功获取到后端数据', response.data);
              this.lnglatA2=response.data
            })
            .catch((error) => {
              console.error('获取后端数据失败', error);
              // 错误处理
            });
        // }
      }
    },
    gnggaChangeD() {
      this.dialogVisibleC = false
      this.dialogVisibleD = false
      if (this.degreeLatLngB.split(";").length != 2) {
        this.dialogVisibleB = true
      } else {
        this.dialogVisibleB = false
        // for (let index = 0; index < this.degreeLatLngB.split(";").length; index++) {
          const params = { du: this.degreeLatLngB.split(";")[0] };
          axios.get(duurl, { params })
            .then((response) => {
              console.log('成功获取到后端数据', response.data);
              this.lnglatB1=response.data
            })
            .catch((error) => {
              console.error('获取后端数据失败', error);
              // 错误处理
            });

            const params1 = { du: this.degreeLatLngB.split(";")[1] };
          axios.get(duurl, { params:params1 })
            .then((response) => {
              console.log('成功获取到后端数据', response.data);
              this.lnglatB2=response.data
            })
            .catch((error) => {
              console.error('获取后端数据失败', error);
              // 错误处理
            });
        // }
      }
    },
    goToDistance() {
      this.$router.go(0); // 根据自定义的路由设置跳转到指定页面
    },
    goToindex() {
      const url = 'http://huaxingzhikong.com/';
      window.open(url, '_blank');
      // window.location.href = "http://huaxingzhikong.com/";
      // this.$router.push('/HelloWorld'); // 根据自定义的路由设置跳转到指定页面
    },
    goToDegree() {
      this.$router.push('/degree'); // 根据自定义的路由设置跳转到指定页面
    },
    goToCoordinate() {

      this.$router.push('/coordinate'); // 根据自定义的路由设置跳转到指定页面
    },
    goToplane() {
            this.$router.push('/toplane'); // 根据自定义的路由设置跳转到指定页面
        },
    onSubmit() {
      console.log(this.lock2);
      var str
      if (this.lock2) {
        if (this.degreeLatLngA.split(";").length != 2) {
          this.$message.error('A点度格式数据格式有误,无法计算！请检查数据长度！');
        } else if (this.degreeLatLngB.split(";").length != 2) {
          this.$message.error('B点度格式数据格式有误,无法计算！请检查数据长度！');
        } else { this.degreeLatLngA
          console.log(22222222);
          var str = this.lnglatA1 + ";" + this.lnglatA2 + ";" + this.lnglatB1+ ";" + this.lnglatB2;
          // const params = { str: str };
           const params = { dugnggA: this.degreeLatLngA,dugnggB:this.degreeLatLngB };

          const changeOrigin = true;
          axios.get(duggaurl, { params }, changeOrigin)
            .then((response) => {
              console.log('成功获取到后端数据', response.data);
              this.formLabelAlign.distance = response.data.jieguo
            })
            .catch((error) => {
              console.error('获取后端数据失败', error);
              // 错误处理
            });
        }
      } else {
        var gnssa1 = this.formLabelAlign.gnssa.replace(/\s*/g, "").split(",")
        var gnssb1 = this.formLabelAlign.gnssb.replace(/\s*/g, "").split(",")
        var str = gnssa1[2] + ";" + gnssa1[4] + ";" + gnssb1[2] + ";" + gnssb1[4];
        // const params = { gnggA: this.formLabelAlign.gnssa,gnggB:this.formLabelAlign.gnssb };
        const params = { str:str };
        const changeOrigin = true;
        axios.get(url, { params }, changeOrigin)
          .then((response) => {
            console.log('成功获取到后端数据', response.data);
            this.formLabelAlign.distance = response.data.jieguo
          })
          .catch((error) => {
            console.error('获取后端数据失败', error);
            // 错误处理
          });
      }
    },
    onClear() {
      this.formLabelAlign.distance = ''
      this.formLabelAlign.gnssa = ""
      this.formLabelAlign.gnssb = ''
      this.dialogVisibleA = false
      this.dialogVisibleB = false
      this.dialogVisibleC = false
      this.dialogVisibleD = false
      this.degreeLatLngA = ''
      this.degreeLatLngB = ''
      this.lnglatA = []
      this.lnglatB = []
      this.dataA = {
        utcTimeA: '',
        weiduA: '',
        weidu2A: '',
        jingduA: '',
        jingdu2A: '',
        stateA: '',
        numA: '',
        gaoDanweiA: '',
        tuoqiuA: '',
        chafenTimeA: '',
        tagidA: ''
      },
        this.dataB = {
          utcTimeB: '',
          weiduB: '',
          weidu2B: '',
          jingduB: '',
          jingdu2B: '',
          stateB: '',
          numB: '',
          gaoDanweiB: '',
          tuoqiuB: '',
          chafenTimeB: '',
          tagidB: ''
        },
        this.tableData[0] = []
      this.tableData[1] = []
      this.tableData[1].utcTimeB = ''
      this.tableData[1].weiduB = ''
      this.tableData[1].weidu2B = ''
      this.tableData[1].jingduB = ''
      this.tableData[1].jingdu2B = ''
      this.tableData[1].stateB = ''
      this.tableData[1].numB = ''
      this.tableData[1].gaoDanweiB = ''
      this.tableData[1].tuoqiuB = ''
      this.tableData[1].chafenTimeB = ''
      this.tableData[1].tagidB = ''
      this.tableData[0].utcTimeA = ''
      this.tableData[0].weiduA = ''
      this.tableData[0].weidu2A = ''
      this.tableData[0].jingduA = ''
      this.tableData[0].jingdu2A = ''
      this.tableData[0].stateA = ''
      this.tableData[0].numA = ''
      this.tableData[0].gaoDanweiA = ''
      this.tableData[0].tuoqiuA = ''
      this.tableData[0].chafenTimeA = ''
      this.tableData[0].tagidA = ''
      // 数组按矩阵思路, 变成转置矩阵
      const matrixData = this.tableData.map((row) => {
        const arr = []
        for (const key in row) {
          arr.push(row[key])
        }
        return arr
      })
      console.log(matrixData)
      // 加入标题拼接最终的数据
      this.tableData = matrixData[0].map((col, i) => {
        return [this.originTitle[i], ...matrixData.map((row) => {
          return row[i]
        })]
      })
    }
  }
}
</script>
<style>
/*去除滚动条 */
.el-table th.gutter {
  display: none;
  width: 0
}

.el-table colgroup col[name='gutter'] {
  display: none;
  width: 0;
}

.el-table__body {
  width: 100% !important;
}

.el-table td.el-table__cell,
.el-table th.el-table__cell.is-leaf {
  border-bottom: 1.9px solid #000000 !important;
  z-index: 1;
}

.el-table__body-wrapper::-webkit-scrollbar {
  display: none !important;
}

.el-table--border::after,
.el-table--group::after,
.el-table::before {
  content: '';
  position: absolute;
  background-color: #000000 !important;
  z-index: 1;
}

/* 表格最外边框 */
.el-table--border,
.el-table--group {
  border: none !important;
}

.cell-bg-color {
  background-color: #2167a0;
  /* 你想要的背景颜色 */

}

.el-table--border .el-table__cell,
.el-table__body-wrapper .el-table--border.is-scrolling-left~.el-table__fixed {
  border-right: 1.9px solid #000000 !important;
}

.el-table--enable-row-hover .el-table__body tr:hover>td {
  background-color: #2167a0 !important;
}

.custom-table .el-table__row .el-table_1_column_1 {
  color: #ffffff;
  /* 设置文本颜色 */
}

.el-radio__input.is-checked+.el-radio__label {
  color: #000000 !important;
}

.el-radio__input.is-checked .el-radio__inner {
  background: #000000 !important;
  border-color: #000000 !important;
}

/* 鼠标未悬浮时效果设置 */
.title_linespan {
  color: #076cf1
}

/* 鼠标悬浮后的设置 */
.title_linespan:hover {
  /* color: #ffffff; */
  text-decoration: underline;
}

.fullscreen-bg1 {
  display: flex;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: #0f0f0f;
  /* 浅灰色背景 */
  z-index: -1;
  /* 确保背景在其他内容之下 */
}

.waibu-div {
  /* flex:1; */
  display: flex;
  /* border-radius: 10px; */
  /* background-color: #07e94091; */
  text-align: center;
  width: 52%;
  height: 75%;
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  /* margin-left: 100px; */
  right: 0;
  bottom: 0;
}

.bg-red1 {
  /* flex:1; */
  /* border-radius: 10px; */
  background-color: #0783e991;
  text-align: center;
  /* width:45%;
    height: 90%; */
  width: 450px;
    height: 630px;
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  /* margin-top: 100px;
  margin-left: 100px; */
  right: 1;
  bottom: 0;
}

.table_div {
  /* flex:1; */
  /* border-radius: 10px; */
  background-color: #0783e991;
  text-align: center;
  /* float: left; */
  width: 450px;
    height: 630px;
    /* width:45%;
    height: 90%; */
  margin: auto;
  /* margin-right: 250px; */
  position: absolute;
  top: 0;
  left: 1;
  /* margin-left: 1200px;  */
  right: 0;
  bottom: 0;
}

/* .el-textarea {
  width: 90%;
} */



/* .el-textarea__inner {
  margin-top: 20px;
  line-height: 250%
} */
.fixed-button1 {
  position: absolute;
  left: 20px;
  bottom: 20px;
  width: 30%;
  /* 可以根据需要设置宽度 */
}

.fixed-buttonB1 {
  position: absolute;
  right: 20px;
  bottom: 20px;
  width: 30%;
  /* 可以根据需要设置宽度 */
}
</style>